[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.Extract

Remove the first occurrence of a pointer from the list.

## Declaration

Source position: classesh.inc line 254

`public function TFPList.Extract(`
`Item: Pointer`
`):Pointer;`

## Description

Extract searches for the first occurrence of Item in the list and deletes it from the list. If Item was found, it's value is returned. If Item was not found, Nil is returned.

## See also

TFPList.Delete |  | Removes a pointer from the list.

Documentation generated on: Feb 26 2014